Page MenuHomeFreeBSD

cfi mx flash patch
ClosedPublic

Authored by yamori813_yahoo.co.jp on Mar 29 2017, 9:24 AM.

Details

Summary

MX flash MX29LV320T/B datasheet say reset is 0xf0. This change is very large impact then I use option.

Test Plan

MX CFI Flash machine

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

adrian edited edge metadata.Mar 29 2017, 9:21 PM

Is this a device quirk we can instead add in a table somewhere?

JEDEC CFI document written "Read Array data is FFh/F0h". I refer flashrom open source code. In this code probe_82802ab89 method is use 0xff and probe_jedec method is use 0xf0 by reset. probe_82802ab89 is 26 chips and probe_jedec is 128 chips in source code table. I think complete table is two big resource like as flashrom. I think option is good now.

I saw NetBSD cfi code. That code use 0xf0 and 0xff both at cfi_reset_default method. Do you think this way?

https://ftp.netbsd.org/pub/NetBSD/NetBSD-current/src/sys/dev/nor/cfi.c

adrian accepted this revision.Apr 12 2017, 12:45 AM

I think it's fine for now. We can always fix it later!

This revision is now accepted and ready to land.Apr 12 2017, 12:45 AM
mizhka accepted this revision.Apr 13 2017, 3:16 PM
yamori813_yahoo.co.jp edited edge metadata.
  • use same workaround as NetBSD
This revision now requires review to proceed.Apr 26 2017, 10:46 AM
adrian accepted this revision.Apr 26 2017, 5:40 PM
This revision is now accepted and ready to land.Apr 26 2017, 5:40 PM
This revision was automatically updated to reflect the committed changes.